=== modified file 'bzrlib/log.py'
--- bzrlib/log.py	2008-12-10 01:49:52 +0000
+++ bzrlib/log.py	2008-12-10 01:55:47 +0000
@@ -1070,8 +1070,8 @@
             lf.log_revision(lr)
         output.write('*'*60)
         output.write('\n\n')
-    output.write('Added Revisions:\n')
     if new_history != []:
+        output.write('Added Revisions:\n')
         start_revno = new_revno - len(new_history) + 1
         show_log(branch, lf, None, verbose=False, direction='forward',
                  start_revision=start_revno,)

=== modified file 'bzrlib/tests/test_log.py'
--- bzrlib/tests/test_log.py	2008-12-10 01:49:52 +0000
+++ bzrlib/tests/test_log.py	2008-12-10 01:55:47 +0000
@@ -1232,3 +1232,17 @@
         self.assertEqual(s.getvalue(),
             'Nothing seems to have changed\n')
 
+    def test_show_branch_change_no_old(self):
+        tree = self.setup_ab_tree()
+        s = StringIO()
+        log.show_branch_change(2, '2b', tree.branch, s)
+        self.assertContainsRe(s.getvalue(), 'Added Revisions:')
+        self.assertNotContainsRe(s.getvalue(), 'Removed Revisions:')
+
+    def test_show_branch_change_no_new(self):
+        tree = self.setup_ab_tree()
+        tree.branch.set_last_revision_info(2, '2b')
+        s = StringIO()
+        log.show_branch_change(3, '3b', tree.branch, s)
+        self.assertContainsRe(s.getvalue(), 'Removed Revisions:')
+        self.assertNotContainsRe(s.getvalue(), 'Added Revisions:')

